pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b_gnatl.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b_gnatl.adb");

package body ada_main is
   pragma Warnings (Off);

   E014 : Short_Integer; pragma Import (Ada, E014, "system__soft_links_E");
   E020 : Short_Integer; pragma Import (Ada, E020, "system__exception_table_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "interfaces__c_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "interfaces__c__strings_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "system__assertions_E");
   E010 : Short_Integer; pragma Import (Ada, E010, "system__secondary_stack_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "system__os_lib_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "types_E");
   E107 : Short_Integer; pragma Import (Ada, E107, "casing_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatlink_E");
   E078 : Short_Integer; pragma Import (Ada, E078, "gnatvsn_E");
   E056 : Short_Integer; pragma Import (Ada, E056, "hostparm_E");
   E109 : Short_Integer; pragma Import (Ada, E109, "indepsw_E");
   E076 : Short_Integer; pragma Import (Ada, E076, "opt_E");
   E074 : Short_Integer; pragma Import (Ada, E074, "csets_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "output_E");
   E103 : Short_Integer; pragma Import (Ada, E103, "rident_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "sdefault_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "switch_E");
   E080 : Short_Integer; pragma Import (Ada, E080, "tree_io_E");
   E096 : Short_Integer; pragma Import (Ada, E096, "namet_E");
   E049 : Short_Integer; pragma Import (Ada, E049, "ali_E");
   E051 : Short_Integer; pragma Import (Ada, E051, "butil_E");
   E087 : Short_Integer; pragma Import (Ada, E087, "fmap_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "fname_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "osint_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "snames_E");
   E072 : Short_Integer; pragma Import (Ada, E072, "targparm_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "widechar_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");
   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Zero_Cost_Exceptions : Integer;
      pragma Import (C, Zero_Cost_Exceptions, "__gl_zero_cost_exceptions");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Zero_Cost_Exceptions := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      Finalize_Library_Objects := null;

      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E020 := E020 + 1;
      Interfaces.C'Elab_Spec;
      Interfaces.C.Strings'Elab_Spec;
      System.Exceptions'Elab_Spec;
      E026 := E026 + 1;
      System.Assertions'Elab_Spec;
      E055 := E055 + 1;
      E113 := E113 + 1;
      E111 := E111 + 1;
      System.Soft_Links'Elab_Body;
      E014 := E014 + 1;
      System.Secondary_Stack'Elab_Body;
      E010 := E010 + 1;
      System.Os_Lib'Elab_Body;
      E065 := E065 + 1;
      Types'Elab_Spec;
      E058 := E058 + 1;
      E078 := E078 + 1;
      Hostparm'Elab_Spec;
      E056 := E056 + 1;
      E109 := E109 + 1;
      Opt'Elab_Spec;
      Csets'Elab_Body;
      E074 := E074 + 1;
      Output'Elab_Spec;
      E053 := E053 + 1;
      Rident'Elab_Spec;
      E103 := E103 + 1;
      Tree_Io'Elab_Spec;
      E080 := E080 + 1;
      E076 := E076 + 1;
      Namet'Elab_Spec;
      ALI'ELAB_SPEC;
      Fname'Elab_Body;
      E105 := E105 + 1;
      Osint'Elab_Spec;
      Fmap'Elab_Body;
      E087 := E087 + 1;
      ALI'ELAB_BODY;
      E049 := E049 + 1;
      E119 := E119 + 1;
      E100 := E100 + 1;
      Snames'Elab_Body;
      E117 := E117 + 1;
      Targparm'Elab_Spec;
      Targparm'Elab_Body;
      E072 := E072 + 1;
      Osint'Elab_Body;
      E084 := E084 + 1;
      E051 := E051 + 1;
      E002 := E002 + 1;
      E098 := E098 + 1;
      Namet'Elab_Body;
      E096 := E096 + 1;
      E107 := E107 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_gnatlink");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   ../rts/ada.o
   --   ../rts/gnat.o
   --   ./interfac.o
   --   ./system.o
   --   ../rts/s-addope.o
   --   ./s-casuti.o
   --   ../rts/g-htable.o
   --   ../rts/s-imenne.o
   --   ../rts/s-imgint.o
   --   ../rts/s-parame.o
   --   ../rts/s-crtl.o
   --   ../rts/i-cstrea.o
   --   ../rts/s-excdeb.o
   --   ./s-stoele.o
   --   ../rts/s-stache.o
   --   ../rts/s-strhas.o
   --   ./s-htable.o
   --   ../rts/s-string.o
   --   ../rts/s-traent.o
   --   ../rts/s-unstyp.o
   --   ../rts/s-wchcon.o
   --   ../rts/s-wchjis.o
   --   ../rts/s-wchcnv.o
   --   ../rts/s-wchstw.o
   --   ../rts/a-elchha.o
   --   ../rts/s-carun8.o
   --   ./s-exctab.o
   --   ../rts/s-except.o
   --   ../rts/s-assert.o
   --   ../rts/s-memory.o
   --   ./s-stalib.o
   --   ./i-cstrin.o
   --   ./i-c.o
   --   ../rts/s-soflin.o
   --   ../rts/a-comlin.o
   --   ./s-secsta.o
   --   ../rts/s-os_lib.o
   --   ./a-except.o
   --   ../rts/s-traceb.o
   --   ./debug.o
   --   ./types.o
   --   ./alloc.o
   --   ./gnatvsn.o
   --   ./hostparm.o
   --   ./indepsw.o
   --   ./csets.o
   --   ./output.o
   --   ./rident.o
   --   ./tree_io.o
   --   ./opt.o
   --   ./table.o
   --   ./fname.o
   --   ./fmap.o
   --   ./ali.o
   --   ./switch.o
   --   ./sdefault.o
   --   ./snames.o
   --   ./targparm.o
   --   ./osint.o
   --   ./butil.o
   --   ./gnatlink.o
   --   ./widechar.o
   --   ./namet.o
   --   ./casing.o
   --   -L./
   --   -L../rts/
   --   -L./
   --   -L/usr/src/RPM/BUILD/gcc-4.7.2-20121109/gcc/ada/
   --   -L/usr/lib64/gcc/x86_64-alt-linux/4.7.2/adalib/
   --   -shared
   --   -lgnat-4.7
--  END Object file/option list   

end ada_main;
